import * as React from 'react';
const IconHelp = ({
  size,
  color = 'currentColor',
  ...props
}: { size?: number; color?: string } & React.SVGProps<any>) => (
  <svg
    xmlns="http://www.w3.org/2000/svg"
    width={size || 24}
    height={size || 24}
    fill="none"
    {...props}
  >
    <path
      d="M11 2.61261L9.76305 2.2003C9.1971 2.01165 8.57648 2.08549 8.0706 2.40167L4.94 4.35829C4.35524 4.72377 4 5.36471 4 6.05429V7.50004L2.8 8.40004C2.29639 8.77775 2 9.37052 2 10V13C2 13.6296 2.29639 14.2223 2.8 14.6L4 15.5V17.9458C4 18.6354 4.35524 19.2763 4.94 19.6418L8.0706 21.5984C8.57648 21.9146 9.1971 21.9884 9.76305 21.7998L11 21.3875V17.4142L9.51804 15.9323C9.35282 15.9764 9.17916 16 9 16C7.89543 16 7 15.1046 7 14C7 12.8954 7.89543 12 9 12C10.1046 12 11 12.8954 11 14C11 14.1792 10.9764 14.3528 10.9323 14.518L12.4142 16C12.7893 16.3751 13 16.8838 13 17.4142V21.3875L14.2369 21.7998C14.8029 21.9884 15.4235 21.9146 15.9294 21.5984L19.06 19.6418C19.6448 19.2763 20 18.6354 20 17.9458V15.5L21.2 14.6C21.7036 14.2223 22 13.6296 22 13V10C22 9.37052 21.7036 8.77775 21.2 8.40004L20 7.50004V6.05429C20 5.36471 19.6448 4.72377 19.06 4.35829L15.9294 2.40167C15.4235 2.08549 14.8029 2.01165 14.2369 2.2003L13 2.61261V6.58579L14.482 8.06774C14.6472 8.02356 14.8208 8 15 8C16.1046 8 17 8.89543 17 10C17 11.1046 16.1046 12 15 12C13.8954 12 13 11.1046 13 10C13 9.82084 13.0236 9.64718 13.0677 9.48196L11.5858 8C11.2107 7.62493 11 7.11622 11 6.58579V2.61261Z"
      fill={color}
    />
  </svg>
);
export default IconHelp;
